# FrameWorld: Formalizations for the [UFrameIT game](https://uframeit.org)

&mdash; following the FrameIT approach.

This repository is co-released with UFrameIT as a whole, see [UFrameIT's releases](https://github.com/UFrameIT/UFrameIT/releases).

## Contents

Importantly, in [`./source`](./source) you can find

- [`MetaTheories.mmt`](./source/MetaTheories.mmt): contains includes and symbols for meta keys/values shared by all other theories
- [`Scrolls/`](./source/Scrolls): contains all scrolls
- [`Library/`](./source/Library): contains files of the upcoming Loviwo proposal

Besides that, there is also

- [`IntegrationTests/`](./source/IntegrationTests): contains some integration tests run by the unit tests in the frameit-mmt submodule of the UniFormal/MMT project

## Documentation

- [`./source/Scrolls/README.md`](./source/Scrolls) for a guide on how to write scrolls.
- [`./situation-space.md`](./situation-space.md) for an overview how a situation space and theory looks like over the course of playing.

## Authors

See team <https://uframeit.github.io>.